Bug 479933 - mvapich: no fortran90 modules available
mvapich: no fortran90 modules available
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mvapich (Show other bugs)
5.3
x86_64 Linux
low Severity high
: rc
: ---
Assigned To: Doug Ledford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-14 02:05 EST by Mehdi Bozzo-Rey
Modified: 2009-09-02 05:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:51:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mehdi Bozzo-Rey 2009-01-14 02:05:42 EST
Description of problem: mvapich: no fortran90 modules / can't comile basic fortran90 code


Version-Release number of selected component (if applicable): rh53 / mvapich-1.1.0-0.2931.3.el5


How reproducible:


Steps to Reproduce:
1. install mvapich 
2.recompile the fortran90 example
  
Actual results: fails / can't open module file




Expected results: pass


Additional info:

[root@compute-0-12 ~]# which mpicc
/usr/lib64/mvapich/1.1.0-gcc/bin/mpicc
[root@compute-0-12 ~]# cd /usr/lib64/mvapich/1.1.0-gcc/examples/
[root@compute-0-12 examples]# mpif90 pi3f90.f90
 In file pi3f90.f90:22

 use mpi
       1
Fatal Error: Can't open module file 'mpi.mod' for reading at (1): No such file or directory
[root@compute-0-12 examples]#
Comment 1 Doug Ledford 2009-04-22 20:13:39 EDT
This passes with the current mvapich slated for rhel5.4.
Comment 5 errata-xmlrpc 2009-09-02 05:51:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1304.html

Note You need to log in before you can comment on or make changes to this bug.